---
title: WebAssembly.Table.prototype.grow()
slug: Web/JavaScript/Reference/Global_Objects/WebAssembly/Table/grow
tags:
  - API
  - JavaScript
  - Method
  - Reference
  - WebAssembly
  - grow
  - table
---
<div>{{JSRef}}</div>

<p>The <code><strong>grow()</strong></code> prototype method of the {{jsxref("WebAssembly.Table")}} object increases the size of the Table instance by a specified number of elements.</p>

<h2 id="Syntax">Syntax</h2>

<pre class="syntaxbox">table.grow(<em>number</em>);
</pre>

<h3 id="Parameters">Parameters</h3>

<dl>
 <dt><em>number</em></dt>
 <dd>The number of elements you want to grow the table by.</dd>
</dl>

<h3 id="Return_value">Return value</h3>

<p>The previous length of the table.</p>

<h3 id="Exceptions">Exceptions</h3>

<p>If the <code>grow()</code> operation fails for whatever reason, a {{jsxref("RangeError")}} is thrown.</p>

<h2 id="Examples">Examples</h2>

<h3 id="Using_grow">Using grow</h3>

<p>The following example creates a new WebAssembly Table instance with an initial size of 2 and a maximum size of 10.</p>

<pre class="brush: js">var table = new WebAssembly.Table({ element: "anyfunc", initial: 2, maximum: 10 });</pre>

<p>You can then grow the table by 1 with the following:</p>

<pre class="brush: js">console.log(table.length);   // "2"
console.log(table.grow(1));  // "2"
console.log(table.length);   // "3"
</pre>

<h2 id="Specifications">Specifications</h2>

<table class="standard-table">
 <thead>
  <tr>
   <th scope="col">Specification</th>
  </tr>
 </thead>
 <tbody>
  <tr>
   <td>{{SpecName('WebAssembly JS', '#dom-table-grow', 'grow()')}}</td>
  </tr>
 </tbody>
</table>

<h2 id="Browser_compatibility">Browser compatibility</h2>

<div>

<p>{{Compat("javascript.builtins.WebAssembly.Table.grow")}}</p>
</div>

<h2 id="See_also">See also</h2>

<ul>
 <li><a href="/en-US/docs/WebAssembly">WebAssembly</a> overview page</li>
 <li><a href="/en-US/docs/WebAssembly/Concepts">WebAssembly concepts</a></li>
 <li><a href="/en-US/docs/WebAssembly/Using_the_JavaScript_API">Using the WebAssembly JavaScript API</a></li>
</ul>
